Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class BasicSkinImpl

    java.lang.Object
      org.richfaces.skin.BasicSkinImpl

All Implemented Interfaces:
  org.richfaces.skin.Skin

Direct Known Subclasses:
  AbstractChainableSkinImpl

    public abstract class BasicSkinImpl

extends java.lang.Object
implements org.richfaces.skin.Skin

Singleton ( in respect as collection of different skins ) for produce instances properties for all used skins.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:41 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.skin.Skin
`org.richfaces.skin.Skin.Preferable`

Field Summary
`static java.lang.String` | `RENDER_KIT_PARAMETER`

Fields inherited from interface org.richfaces.skin.Skin
`ACTIVETAB_STYLE_FONT, ACTIVETAB_WEIGHT_FONT, ADDITIONAL_BACKGROUND_COLOR, BASE_SKIN, BUTTON_FAMILY_FONT, BUTTON_RADIUS_CORNER, BUTTON_SIZE_FONT, BUTTON_STYLE_FONT, BUTTON_WEIGHT_FONT, CONTROL_BACKGROUND_COLOR, CONTROL_BORDER_COLOR, DISABLED_TAB_STYLE_FONT, DISABLED_TAB_WEIGHT_FONT, EXTENDED_STYLE_SHEET, GENERAL_BACKGROUND_COLOR, GENERAL_LINK_COLOR, GENERAL_SIZE_FONT, GENERAL_STYLE_SHEET, GENERAL_TEXT_COLOR, GRADIENT_TYPE, HEAD_TEXT_COLOR, HEADER_BACKGROUND_COLOR, HEADER_FAMILY_FONT, HEADER_GRADIENT_COLOR, HEADER_SIZE_FONT, INTERFACE_LEVEL_3D, LOAD_STYLE_SHEETS, OVER_ALL_BACKGROUND, PANEL_RADIUS_CORNER, PANEL_TEXT_COLOR, PREFERABLE_TAB_POSITION, PREFERABLE_TAB_TEXT_DIRECTION, PREFERABLE_TAB_TEXT_ORIENTATION, SELECT_BACKGROUND_COLOR, SELECT_CONTROL_COLOR, SHADOW_BACKGROUND_COLOR, SHADOW_OPACITY, TAB_FAMILY_FONT, TAB_RADIUS_CORNER, TAB_SIZE_FONT, TAB_STYLE_FONT, TAB_WEIGHT_FONT, TABLE_BACKGROUND_COLOR, TABLE_BORDER_COLOR`

Method Summary
`protected int` | `computeHashCode(javax.faces.context.FacesContext context)`
`protected java.lang.Integer` | `decodeColor(java.lang.Object value)`
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Integer` | `getColorParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`protected java.lang.Object` | `getLocalParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.Object defaultValue)`
`java.lang.String` | `getRenderKitId(javax.faces.context.FacesContext context)`
`protected java.util.Map<java.lang.Object,java.lang.Object>` | `getSkinParams()`
`protected java.lang.Object` | `getValueReference(javax.faces.context.FacesContext context, java.lang.Object property)` Calculate concrete value for property - if it stored as @see ValueBinding , return interpreted value.
`int` | `hashCode(javax.faces.context.FacesContext context)`
`protected abstract java.lang.Object` | `resolveSkinParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.skin.Skin
`containsProperty`

Field Detail

### RENDER_KIT_PARAMETER

    public static final java.lang.String RENDER_KIT_PARAMETER

See Also:
  Constant Field Values

Method Detail

### getSkinParams

    protected java.util.Map<java.lang.Object,java.lang.Object> getSkinParams()

### getRenderKitId

    public java.lang.String getRenderKitId(javax.faces.context.FacesContext context)

  Specified by:
    `getRenderKitId` in interface `org.richfaces.skin.Skin`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.Skin`

### getParameter

    public java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                         java.lang.String name,
                                         java.lang.Object defaultValue)

  Specified by:
    `getParameter` in interface `org.richfaces.skin.Skin`

### decodeColor

    protected java.lang.Integer decodeColor(java.lang.Object value)

### getColorParameter

    public java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                               java.lang.String name)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getColorParameter

    public java.lang.Integer getColorParameter(javax.faces.context.FacesContext context,
                                               java.lang.String name,
                                               java.lang.Object defaultValue)

  Specified by:
    `getColorParameter` in interface `org.richfaces.skin.Skin`

### getLocalParameter

    protected java.lang.Object getLocalParameter(javax.faces.context.FacesContext context,
                                                 java.lang.String name)

### resolveSkinParameter

    protected abstract java.lang.Object resolveSkinParameter(javax.faces.context.FacesContext context,
                                                             java.lang.String name)

### getValueReference

    protected java.lang.Object getValueReference(javax.faces.context.FacesContext context,
                                                 java.lang.Object property)

  Calculate concrete value for property - if it stored as @see ValueBinding , return interpreted value.

  Parameters:
    `context` -
    `property` -
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### computeHashCode

    protected int computeHashCode(javax.faces.context.FacesContext context)

### hashCode

    public int hashCode(javax.faces.context.FacesContext context)

  Specified by:
    `hashCode` in interface `org.richfaces.skin.Skin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.